From 5551cd78a54509d6e603432f9dad9429065a9ed5 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Sat, 14 Sep 2024 16:07:18 +0300
Subject: [PATCH 33/33] game.ruleset: Fix xgettext error from
 std_tileset_compat description

See RM #855

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/alien/game.ruleset         | 2 +-
 data/civ1/game.ruleset          | 2 +-
 data/civ2/game.ruleset          | 2 +-
 data/civ2civ3/game.ruleset      | 2 +-
 data/classic/game.ruleset       | 2 +-
 data/goldkeep/game.ruleset      | 2 +-
 data/granularity/game.ruleset   | 2 +-
 data/multiplayer/game.ruleset   | 2 +-
 data/ruledit/comments-3.3.txt   | 2 +-
 data/sandbox/game.ruleset       | 2 +-
 data/stub/game.ruleset          | 2 +-
 data/webperimental/game.ruleset | 2 +-
 12 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/data/alien/game.ruleset b/data/alien/game.ruleset
index 2a8871bd2e..05b22b08b6 100644
--- a/data/alien/game.ruleset
+++ b/data/alien/game.ruleset
@@ -25,7 +25,7 @@ description_file = "alien/README.alien"
 
 ; Should ruleset upgrade do changes matching changes to the standard tilesets
 ; of the freeciv distribution. Custom tilesets might do not implement similar
-; changes, so to remain compatible with them shouldn't do these
+; changes, so to remain compatible with them shouldn`t do these
 ; ruleset changes either (to have this as FALSE)
 std_tileset_compat = FALSE
 
diff --git a/data/civ1/game.ruleset b/data/civ1/game.ruleset
index 788d9f3af8..c8d9158745 100644
--- a/data/civ1/game.ruleset
+++ b/data/civ1/game.ruleset
@@ -23,7 +23,7 @@ format_version = 40
 
 ; Should ruleset upgrade do changes matching changes to the standard tilesets
 ; of the freeciv distribution. Custom tilesets might do not implement similar
-; changes, so to remain compatible with them shouldn't do these
+; changes, so to remain compatible with them shouldn`t do these
 ; ruleset changes either (to have this as FALSE)
 std_tileset_compat = TRUE
 
diff --git a/data/civ2/game.ruleset b/data/civ2/game.ruleset
index dfbf9dd85b..d9964ed0de 100644
--- a/data/civ2/game.ruleset
+++ b/data/civ2/game.ruleset
@@ -23,7 +23,7 @@ format_version = 40
 
 ; Should ruleset upgrade do changes matching changes to the standard tilesets
 ; of the freeciv distribution. Custom tilesets might do not implement similar
-; changes, so to remain compatible with them shouldn't do these
+; changes, so to remain compatible with them shouldn`t do these
 ; ruleset changes either (to have this as FALSE)
 std_tileset_compat = TRUE
 
diff --git a/data/civ2civ3/game.ruleset b/data/civ2civ3/game.ruleset
index 4f4cc639b7..899ee9c146 100644
--- a/data/civ2civ3/game.ruleset
+++ b/data/civ2civ3/game.ruleset
@@ -23,7 +23,7 @@ description_file = "civ2civ3/README.civ2civ3"
 
 ; Should ruleset upgrade do changes matching changes to the standard tilesets
 ; of the freeciv distribution. Custom tilesets might do not implement similar
-; changes, so to remain compatible with them shouldn't do these
+; changes, so to remain compatible with them shouldn`t do these
 ; ruleset changes either (to have this as FALSE)
 std_tileset_compat = TRUE
 
diff --git a/data/classic/game.ruleset b/data/classic/game.ruleset
index 9468e22d20..fbc98c8de5 100644
--- a/data/classic/game.ruleset
+++ b/data/classic/game.ruleset
@@ -23,7 +23,7 @@ description_file = "classic/README.classic"
 
 ; Should ruleset upgrade do changes matching changes to the standard tilesets
 ; of the freeciv distribution. Custom tilesets might do not implement similar
-; changes, so to remain compatible with them shouldn't do these
+; changes, so to remain compatible with them shouldn`t do these
 ; ruleset changes either (to have this as FALSE)
 std_tileset_compat = TRUE
 
diff --git a/data/goldkeep/game.ruleset b/data/goldkeep/game.ruleset
index 99b6c0da85..390a84d753 100644
--- a/data/goldkeep/game.ruleset
+++ b/data/goldkeep/game.ruleset
@@ -26,7 +26,7 @@ description_file = "goldkeep/README.goldkeep"
 
 ; Should ruleset upgrade do changes matching changes to the standard tilesets
 ; of the freeciv distribution. Custom tilesets might do not implement similar
-; changes, so to remain compatible with them shouldn't do these
+; changes, so to remain compatible with them shouldn`t do these
 ; ruleset changes either (to have this as FALSE)
 std_tileset_compat = TRUE
 
diff --git a/data/granularity/game.ruleset b/data/granularity/game.ruleset
index 7fd5d871e2..62c43b40a2 100644
--- a/data/granularity/game.ruleset
+++ b/data/granularity/game.ruleset
@@ -23,7 +23,7 @@ description_file = "granularity/README.granularity"
 
 ; Should ruleset upgrade do changes matching changes to the standard tilesets
 ; of the freeciv distribution. Custom tilesets might do not implement similar
-; changes, so to remain compatible with them shouldn't do these
+; changes, so to remain compatible with them shouldn`t do these
 ; ruleset changes either (to have this as FALSE)
 std_tileset_compat = FALSE
 
diff --git a/data/multiplayer/game.ruleset b/data/multiplayer/game.ruleset
index 804a7a88fd..703cce17f2 100644
--- a/data/multiplayer/game.ruleset
+++ b/data/multiplayer/game.ruleset
@@ -23,7 +23,7 @@ description_file = "multiplayer/README.multiplayer"
 
 ; Should ruleset upgrade do changes matching changes to the standard tilesets
 ; of the freeciv distribution. Custom tilesets might do not implement similar
-; changes, so to remain compatible with them shouldn't do these
+; changes, so to remain compatible with them shouldn`t do these
 ; ruleset changes either (to have this as FALSE)
 std_tileset_compat = TRUE
 
diff --git a/data/ruledit/comments-3.3.txt b/data/ruledit/comments-3.3.txt
index 7ad25482bc..9fd75014ec 100644
--- a/data/ruledit/comments-3.3.txt
+++ b/data/ruledit/comments-3.3.txt
@@ -1634,6 +1634,6 @@ calendar_fragments = "\n\
 std_tileset_compat = "\n\
 ; Should ruleset upgrade do changes matching changes to the standard tilesets\n\
 ; of the freeciv distribution. Custom tilesets might do not implement similar\n\
-; changes, so to remain compatible with them shouldn\'t do these\n\
+; changes, so to remain compatible with them shouldn\`t do these\n\
 ; ruleset changes either (to have this as FALSE)\
 "
diff --git a/data/sandbox/game.ruleset b/data/sandbox/game.ruleset
index c80b01bd81..2d919d9c0f 100644
--- a/data/sandbox/game.ruleset
+++ b/data/sandbox/game.ruleset
@@ -23,7 +23,7 @@ description_file = "sandbox/README.sandbox"
 
 ; Should ruleset upgrade do changes matching changes to the standard tilesets
 ; of the freeciv distribution. Custom tilesets might do not implement similar
-; changes, so to remain compatible with them shouldn't do these
+; changes, so to remain compatible with them shouldn`t do these
 ; ruleset changes either (to have this as FALSE)
 std_tileset_compat = TRUE
 
diff --git a/data/stub/game.ruleset b/data/stub/game.ruleset
index 7d6bbeff52..5a96bad9a6 100644
--- a/data/stub/game.ruleset
+++ b/data/stub/game.ruleset
@@ -15,7 +15,7 @@ format_version = 40
 
 ; Should ruleset upgrade do changes matching changes to the standard tilesets
 ; of the freeciv distribution. Custom tilesets might do not implement similar
-; changes, so to remain compatible with them shouldn't do these
+; changes, so to remain compatible with them shouldn`t do these
 ; ruleset changes either (to have this as FALSE)
 std_tileset_compat = TRUE
 
diff --git a/data/webperimental/game.ruleset b/data/webperimental/game.ruleset
index 1e8a4bfad4..c19e38200a 100644
--- a/data/webperimental/game.ruleset
+++ b/data/webperimental/game.ruleset
@@ -23,7 +23,7 @@ description_file = "webperimental/README.webperimental"
 
 ; Should ruleset upgrade do changes matching changes to the standard tilesets
 ; of the freeciv distribution. Custom tilesets might do not implement similar
-; changes, so to remain compatible with them shouldn't do these
+; changes, so to remain compatible with them shouldn`t do these
 ; ruleset changes either (to have this as FALSE)
 std_tileset_compat = TRUE
 
-- 
2.45.2